"use strict";

/* exported logger */
/* exported Promise*/

var Panel = require('../Panel');

var logger = require('../../logger');
var Functions = require('../../Functions');
var Promise = require("bluebird");

function AbstractAdminPanel(params) {
  params.scrollable = true;
  Panel.call(this, params);
  this._createHeader(params.name);
}

AbstractAdminPanel.prototype = Object.create(Panel.prototype);
AbstractAdminPanel.prototype.constructor = AbstractAdminPanel;

AbstractAdminPanel.prototype._createHeader = function(name) {
  this.getElement().appendChild(Functions.createElement({
    type : "h1",
    content : name
  }));
};

AbstractAdminPanel.prototype.init = function() {

};

module.exports = AbstractAdminPanel;
